package org.expressolivre.cte.email.filtro;

import org.expressolivre.cte.common.BaseEmailTestCase;
import org.expressolivre.cte.pages.email.MailFilterPage;
import org.openqa.selenium.Alert;
import org.testng.annotations.Test;

/**
 * Suite:[FUN02.7] Gerenciar Filtros
 * 
 * Caso de Teste: EL-634:Criar Filtro por tamanho
 * 
 * Link: http://testlink.expressolivre.org/linkto.php?tprojectPrefix=EL&item=
 * testcase&id=EL-634
 * 
 * @author L.F.Estivalet (Serpro)
 * 
 *         Created on May 31, 2011 at 10:52:53 AM
 * 
 */
public class CriarFiltroPorTamanhoTestCase extends BaseEmailTestCase {

	@Test
	public void criarFiltroPorTamanho() {
		MailFilterPage mfp = mp.editFilter();
		mfp.newFilterRule();

		String[] invalidInput = { "a4390", "$fjf", "%20", "&3737", "#8950",
				"@7698", "(51)" };

		for (int i = 0; i < invalidInput.length; i++) {
			mfp.setFilterSize(invalidInput[i]);
			mfp.saveFilterRules();

			Alert error = driver.switchTo().alert();
			assert "Informe um valor numérico para o tamanho da mensagem!"
					.equals(error.getText());
			error.dismiss();

		}

		mfp.setFilterSize("100");

		mfp.setFilterArchieveIn();
		mfp.setFilterMailBox(EMAIL_PASTA_TESTE);
		mfp.saveFilterRules();
	}
}
